#!/usr/bin/python

# Code for generating and attaching pdf to the email
# --------------------------------------------------------------------------------------
# from xhtml2pdf import pisa
# import cStringIO as StringIO
# --------------------------------------------------------------------------------------
#       msg.attach_file('/home/qa-user/portal/portal/static/images/graphs/Overview.png')
#       msg = EmailMultiAlternatives(subject, text_content, from_email, [to])
#       msg.attach_alternative(html_content, "text/html")
#
#       filename = "qaweb.loonydesk.com-"+now.strftime("%d%m%Y")+".pdf"
#       pdfFile = file(filename,'wb')
#       pdf = pisa.CreatePDF(StringIO.StringIO(html_content), pdfFile)
#       pdfFile.flush()
#       pdfFile.close()
#       pisa.startViewer(pdfFile)
#
#       if not pdf.err:
#               msg.attach_file(filename)
# --------------------------------------------------------------------------------------

# Importing modules
import sys
from optparse import OptionParser
from datetime import datetime

# Importing Django Related modules 
sys.path.append('/home/qa-user/portal')
sys.path.append('/home/qa-user/porta1/portal')
import portal.settings
from django.core.management  import setup_environ
setup_environ(portal.settings)

# Importing reports models from django
from reports.models import *
from reports.index import complete_indexer
from django.core.mail import EmailMultiAlternatives

now = datetime.now()

subject, from_email, to = 'QAWeb Report: '+now.strftime("%d-%m-%Y"), 'noreply@qaweb-reports', 'qa-user@example.com'
text_content = 'Visit: http://qaweb.loonydesk.com'
html_content = """<html><body><h1 align='center'>QA Statistics - <span style='color:#008000;'>"""+now.strftime("%d-%m-%Y")+"""</span></h1><h3 align='center'>More info here: <a href='http://qaweb.loonydesk.com'>QAWeb Reports</a></h4><br/><br/><hr/><h2 align='center' style='font-family:Helvetica,Arial,Georgia;color:#808080;'>Overview</h2><hr/><br/><br/><p align='center' style='font-size:20px;'>Entire Database</p><p align='center'><img src='http://qaweb.loonydesk.com/static/images/graphs/Overview.png'></p><hr/>"""

html_content += """<h2 align='center' style='font-family:Helvetica,Arial,Georgia;color:#808080;'>Project View</h2><hr/><br/><br/>"""

projects = Project.objects.all()
for p in projects:
        html_content += """<p align='center' style='font-size:20px;'>"""+p.project+"""</p><p align='center'><img src='http://qaweb.loonydesk.com/static/images/graphs/"""+p.project+""".png'/></p>"""

html_content += """<br/><br/><hr/><h2 align='center' style='font-family:Helvetica,Arial,Georgia;color:#808080;'>Team View</h2><hr/><br/><br/>"""

teams = Team.objects.all()
for t in teams:
        html_content += """<p align='center' style='font-size:20px;'>"""+t.team+"""</p><p align='center'><img src='http://qaweb.loonydesk.com/static/images/graphs/"""+t.team+""".png'/></p>"""

html_content += """<hr/></body></html>"""

msg = EmailMultiAlternatives(subject, text_content, from_email, [to])
msg.attach_alternative(html_content, "text/html")

notSent = True
while notSent:
        try:
                msg.send()
                notSent = False
        except:
                print "Send QA Report Email Failed: " + now.strftime("%d-%m-%Y")
                                                                                  
