from django.views.generic.simple import direct_to_template
from django.conf.urls import patterns, include, url
from django.views.generic import DetailView, ListView
from QAWeb.views import LatestEntriesFeed, qa_jpkeys
from django.conf import settings 
from django.conf.urls.static import static
import djapian

djapian.load_indexes()

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()


urlpatterns = patterns('',
    url(r'^$', 'QAWeb.views.index'),
    url(r'^preview/$', 'QAWeb.views.preview'),
    url(r'^search/$', 'QAWeb.views.search'),
    url(r'^teamview/$', 'QAWeb.views.teamview'),
    url(r'^projectview/$', 'QAWeb.views.projectview'),
    url(r'^overview/$', 'QAWeb.views.overview'),
    url(r'^howto/$', 'QAWeb.views.howto'),
    url(r'^about/$', 'QAWeb.views.about'),
    url(r'^feeds/$', LatestEntriesFeed()),
    url(r'^qa/jpkeys/$', qa_jpkeys),
    url(r'^admin/', include(admin.site.urls)),
    url(r'^robots\.txt$', direct_to_template,
        {'template': 'robots.txt', 'mimetype': 'text/plain'}),
)

if settings.DEBUG:
	urlpatterns += patterns('',
        	url(r'^static/(?P<path>.*)$', 'django.views.static.serve', {
            	'document_root': settings.STATIC_ROOT,
        	}),
   	)
