#!/usr/bin/python

# Importing modules
import sys
from optparse import OptionParser
from datetime import datetime

# Importing Django Related modules 
sys.path.append('/home/qa-user/portal')
sys.path.append('/home/qa-user/porta1/portal')
import portal.settings          
from django.core.management  import setup_environ    
setup_environ(portal.settings)

# Importing reports models from django
from QAWeb.models import *
from QAWeb.index import complete_indexer

# Specifying Parameters Options for the script.
# Give all the option fileds for creating the report.

# Initialize the parser
parser = OptionParser(usage="Usage: %prog [options]", version="%prog 1.0.0")

# Parser Options
parser.add_option("--title",
             	      action="store",
                      dest="title",
                      default="Untitled",
                      help="Specifies the title for the Test Case.")

parser.add_option("--desc",
                      action="store",
                      dest="desc",
                      default="Undefined",
                      help="Specifies the description for the Test Case.")

parser.add_option("--config",
                      action="store",
                      dest="config",
                      default="Undefined",
                      help="Specifies the test configuration and setup for the test case, such as Windows7, 64-bit, Platform 6, etc...")

parser.add_option("--state",
		      action="store",
		      dest="state",
		      default=0,
		      help="Defines the state of the Test Case: Failed, Passed, Blocked.")

parser.add_option("--tid",
		      action="store",
		      dest="tid",
		      help="Defines the unique Test Case ID. Mandatory field!")

parser.add_option("--owner",
		      action="store",
		      dest="owner",
		      default="undefined",
		      help="Defines the QA owner of that specific Test Case.")

parser.add_option("--project",
		      action="store",
		      dest="project",
		      default=1,
		      help="Defines the Project that Test Case belongs.")

parser.add_option("--team",
		      action="store",
		      dest="team",
		      default=1,
		      help="Defines the Team that Test Case belongs.")

(options, args) = parser.parse_args()


if options.tid is None:
    print "Test Case ID (TID) is a mandatory field!"
    parser.print_help()
    exit(-1)

try:
	tc = Report.objects.get(tid__exact=options.tid)
	
	if tc:
		tc.title = options.title
		tc.description = options.desc
		tc.configuration = options.config
		tc.state_id = options.state
		tc.owner = options.owner
		tc.project_id = options.project
		tc.tid = options.tid
		tc.updated_date = datetime.now()
		tc.team_id = options.team
		tc.save()
except:
	new_tc = Report(
		   title=options.title,
               	   description=options.desc,
		   configuration=options.config,
               	   state_id=options.state,
               	   owner = options.owner,
	   	   project_id = options.project,
		   created_date = datetime.now(),
		   updated_date = datetime.now(),
	           tid=options.tid,
	           team_id = options.team)
	new_tc.save()
